Skip to main content
GET
/
monitors
/
runs
/
by-source
List runs by source
curl --request GET \
  --url https://api.trymaitai.ai/api/v1/monitors/runs/by-source \
  --header 'X-Maitai-Api-Key: <api-key>'
{
  "data": [
    {
      "id": 70123,
      "monitor_id": 501,
      "monitor_target_id": 9002,
      "outcome": "error",
      "date_created": 1737549900000
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.trymaitai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Maitai-Api-Key
string
header
required

Your Maitai API key from the Portal.

Query Parameters

source_type
string
required
source_type_id
string
required
offset
integer
default:0

Number of items to skip.

Required range: x >= 0
limit
integer
default:25

Maximum number of items to return.

Required range: 1 <= x <= 100

Response

200 - application/json

List runs by source.

data
any